
% Dimensions (in meters)
xLen    = 0.2;
yLen    = 0.1;
zLen    = 0.3;

% Spacecraft inertia matrix (units: kg*m^2)
% Note: Not correct ones yet
[Ix, Iy, Iz]    = deal(77450.809884979, 106726.520291051, 38936.636877009);
[Iyz, Ixz, Ixy] = deal(-517.308312026, 242.583233782, -151.490933425); 

J_s = [ Ix   -Ixy   -Ixz; 
        -Ixy   Iy   -Iyz; 
        -Ixz   -Iyz   Iz]./(1000^2);


% Reaction wheels inertia matrix (units: kg*m^2)
Jperwheel = 2.2984e-5;

% Matrix mapping the reaction wheels and the body frame axis
% of the spacecraft (torque distribution matrix)
% A = [  sqrt(1/3)   sqrt(1/3)       -sqrt(1/3)      -sqrt(1/3);
%         sqrt(2/3)   -sqrt(2/3)      0               0; 
%         0           0               -sqrt(2/3)      sqrt(2/3)];
% w_bw_init = [0;0;0;0];

A = [   1   0   0   sqrt(1/3);
        0   1   0   sqrt(1/3); 
        0   0   1   sqrt(1/3)];
w_bww_init = [2000;2000;2000;-3464.1].*RPMtorad;
    
[~, n_wheels] = size(A);
J_w = diag(ones(n_wheels,1))*Jperwheel;


% Inertia of satellite and wheels.
J = J_s+A*J_w*pinv(A);

% Commonly used inverses
A_pinv  = pinv(A);
J_s_inv = inv(J_s);
J_w_inv = inv(J_w);