function SMO_plot(SMO_epsilon, SMO_omega, SMO_omega_error_norm, SMO_epsilon_error_norm, w_ob, q)

figure('units','normalized','outerposition',[0 0 1 1])

subplot(4,1,1)
h1 = plot(SMO_epsilon_error_norm.Time,SMO_epsilon_error_norm.Data, 'LineWidth', 2);
set(h1, {'DisplayName'}, {'Epsilon error norm'})
title('Epsilon error norm')
legend show
xlabel('seconds') 

subplot(4,1,2)
h2 = plot(SMO_omega_error_norm.Time,SMO_omega_error_norm.Data, 'LineWidth', 2);
set(h2, {'DisplayName'}, {'Omega error norm'})
title('Angular velocity of body frame in orbit frame, error norm')
legend show
xlabel('seconds') 
%ylabel('rad/s') 

subplot(4,1,3)
% h31 = plot(q.Time,q.Data(:,2:4), 'LineWidth', 2);
h31 = plot(q.Time,q.Data, 'LineWidth', 2);
set(h31, {'DisplayName'}, {'Eta';'Epsilon 1';'Epsilon 2';'Epsilon 3'})
hold on
h32 = plot(SMO_epsilon.Time,SMO_epsilon.Data, 'LineWidth', 2, 'LineStyle', '--');
set(h32, {'DisplayName'}, {'Eta hat';'Epsilon hat 1';'Epsilon hat 2';'Epsilon hat 3'})
% set(h32, {'Color'}, {[0 0.4470 0.7410];[0.8500 0.3250 0.0980];[0.9290 0.6940 0.1250]})
hold off
title('Epsilon and estimate')
legend show
xlabel('seconds') 
% ylabel('rad/s') 

subplot(4,1,4)
h41 = plot(w_ob.Time,w_ob.Data, 'LineWidth', 2);
set(h41, {'DisplayName'}, {'Omega 1';'Omega 2';'Omega 3'})
hold on
h42 = plot(SMO_omega.Time,SMO_omega.Data, 'LineWidth', 2, 'LineStyle', '--');
set(h42, {'DisplayName'}, {'Omega hat 1';'Omega hat 2';'Omega hat 3'})
% set(h42, {'Color'}, {[0 0.4470 0.7410];[0.8500 0.3250 0.0980];[0.9290 0.6940 0.1250]})
hold off
title('Angular velocity and estimate')
legend show
xlabel('seconds') 
ylabel('rad/s') 

end

