function control_input_plots(w_bww, tau_uw, tau_mtq)

figure('Name', 'Input plots','units','normalized','outerposition',[0 0 1 1])


subplot(3,1,1)
h1 = plot(w_bww.Time,w_bww.Data, 'LineWidth', 2);
set(h1, {'DisplayName'}, {'Omega wheel 1';'Omega wheel 2'; 'Omega wheel 3'; 'Omega wheel 4'});
title('Angular velocity reaction wheels, \omega_{bw}^w')
legend show
xlabel('seconds') 
ylabel('rad/s') 

subplot(3,1,2)
h2= plot(tau_uw.Time,tau_uw.Data, 'LineWidth', 2);
set(h2, {'DisplayName'}, {'tau 1';'tau 2'; 'tau 3'; 'tau 4'});
title('Control torque to reaction wheels')
legend show
xlabel('seconds') 
ylabel('Nm') 

subplot(3,1,3)
h3 = plot(tau_mtq.Time,tau_mtq.Data, 'LineWidth', 2);
set(h3, {'DisplayName'}, {'tau 1';'tau 2'; 'tau 3'});
title('Torque from magnetorquers')
legend show
xlabel('seconds') 
ylabel('Nm') 


end

