function control_slewing_plots(q_error, w_obb, w_ob_ref_ws, q_ob, q_ob_ref_ws)

figure('Name', 'Slewing plots','units','normalized','outerposition',[0 0 1 1])

subplot(3,1,1)
h11 = plot(w_obb.Time,w_obb.Data, 'LineWidth', 2);
set(h11, {'DisplayName'}, {'w obb 1';'w obb 2';'w obb 3'})
hold on
title('\omega_{ob}^b with reference value')
h12 = plot(w_ob_ref_ws.Time,w_ob_ref_ws.Data, 'LineWidth', 2, 'LineStyle', '--');
set(h12, {'DisplayName'}, {'w obb ref 1';'w obb ref 2';'w obb ref 3'})
hold off
legend show
xlabel('seconds') 
ylabel('rad/s') 


subplot(3,1,2)
h21 = plot(q_ob.Time,q_ob.Data(:,2:4), 'LineWidth', 2);
set(h21, {'DisplayName'}, {'Epsilon 1';'Epsilon 2'; 'Epsilon 3'})
hold on
title('\epsilon_{ob} with reference value')
h22 = plot(q_ob_ref_ws.Time,q_ob_ref_ws.Data(:,2:4), 'LineWidth', 2, 'LineStyle', '--');
set(h22, {'DisplayName'}, {'Epsilon ref 1';'Epsilon ref 2'; 'Epsilon ref 3'})
hold off
legend show
xlabel('seconds') 


subplot(3,1,3)
h3 = plot(q_error.Time,q_error.Data, 'LineWidth', 2);
set(h3, {'DisplayName'}, {'Eta';'Epsilon 1';'Epsilon 2'; 'Epsilon 3'})
title('Quaternion error')
legend show
xlabel('seconds') 




end

