function plot_axis(Rotation, InitialRotation, q_ref)
%PLOT_AXIS Summary of this function goes here
%   Detailed explanation goes here

% https://stackoverflow.com/questions/44506888/plot-cube-in-matlab

Lx = 2;
Ly = 1;
Lz = 3;
alpha=0.3;           % transparency (max=1=opaque)

X = [0 0 0 0 0 1; 1 0 1 1 1 1; 1 0 1 1 1 1; 0 0 0 0 0 1];
Y = [0 0 0 0 1 0; 0 1 0 0 1 1; 0 1 1 1 1 1; 0 0 1 1 1 0];
Z = [0 0 1 0 0 0; 0 0 1 0 0 0; 1 1 1 0 1 1; 1 1 1 0 1 1];

C='blue';                  % unicolor

R = Rotation;
IR = InitialRotation;
WR = R_q(q_ref);

ax_len = 2*max([Lx, Ly, Lz]);

unit_x = ax_len*[1,0,0]';
unit_y = ax_len*[0,1,0]';
unit_z = ax_len*[0 0 1]';

init_x = IR*unit_x;
init_y = IR*unit_y;
init_z = IR*unit_z;
origin = [0,0,0]'; % Make sure this follows the satellite plot.


X = Lx*(X-0.5) + origin(1);
Y = Ly*(Y-0.5) + origin(2);
Z = Lz*(Z-0.5) + origin(3); 



% Reference rotation
want_x = WR*unit_x;
want_y = WR*unit_y;
want_z = WR*unit_z;

% Rotate the axis:
rot_x = R*unit_x;
rot_y = R*unit_y;
rot_z = R*unit_z;

% Angle-axis parameters (maybe make function? from quaternions, on
% wikipedia) NOT IN USE
% epsilon = [q_ref(2), q_ref(2), q_ref(3)]';
% direction = epsilon./norm(epsilon);
% %alpha = 2*atan2(norm(epsilon),q_ref(1));



% Rotate satellite
[mx,nx] = size(X);
for n=1:nx
    for m=1:mx
        point = [X(m,n); Y(m,n); Z(m,n)];
        rotated_point = R*point;
        X(m,n) = rotated_point(1);
        Y(m,n) = rotated_point(2);
        Z(m,n) = rotated_point(3);
    end 
end


figure(5);
% Plot original axis
init_plot = plot3([origin(1) init_x(1)],[origin(2) init_x(2)],[origin(3) init_x(3)],'LineWidth',2,'Color', [255, 153, 51]/255);
hold on; % Set one line up leads to plotting all rotations
plot3([origin(1) init_y(1)],[origin(2) init_y(2)],[origin(3) init_y(3)],'LineWidth',2,'Color', [255, 153, 51]/255);
plot3([origin(1) init_z(1)],[origin(2) init_z(2)],[origin(3) init_z(3)],'LineWidth',2,'Color', [255, 153, 51]/255);

% Plot wanted axis
ref_plot = plot3([origin(1) want_x(1)],[origin(2) want_x(2)],[origin(3) want_x(3)],'LineWidth',2,'Color', [153, 255, 51]/255);
plot3([origin(1) want_y(1)],[origin(2) want_y(2)],[origin(3) want_y(3)],'LineWidth',2,'Color', [153, 255, 51]/255);
plot3([origin(1) want_z(1)],[origin(2) want_z(2)],[origin(3) want_z(3)],'LineWidth',2,'Color', [153, 255, 51]/255);

% Plot rotated axis
rot_plot = plot3([origin(1) rot_x(1)],[origin(2) rot_x(2)],[origin(3) rot_x(3)],'LineWidth',2,'Color', [51, 153, 255]/255);
plot3([origin(1) rot_y(1)],[origin(2) rot_y(2)],[origin(3) rot_y(3)],'LineWidth',2,'Color', [51, 153, 255]/255);
plot3([origin(1) rot_z(1)],[origin(2) rot_z(2)],[origin(3) rot_z(3)],'LineWidth',2,'Color', [51, 153, 255]/255);

% Plot satellite
fill3(X,Y,Z,C,'FaceAlpha',alpha)

grid on;
xlabel('X');
ylabel('Y');
zlabel('Z');
legend([init_plot, ref_plot, rot_plot], 'Initial attitude', 'Reference attitude', 'Current attitude')
set(gcf,'units','normalized','outerposition',[0 0 1 1])%[0 0 1 1])
% set(gcf,'CameraPosition',[2 2 2]);
set(gcf, 'nextplot', 'replacechildren') %% Used to be gca

hold off;

end

